package de.ozgcloud.nachrichten.antragraum;

import de.ozgcloud.info.nachricht.GrpcNachricht;
import de.ozgcloud.nachrichten.info.InfoManagerRequestTestFactory;
import de.ozgcloud.nachrichten.postfach.PostfachAddressTestFactory;

public class GrpcNachrichtTestFactory {

	public static GrpcNachricht create() {
		return createBuilder().build();
	}

	public static GrpcNachricht.Builder createBuilder() {
		return GrpcNachricht.newBuilder()
				.setPostfachId(PostfachAddressTestFactory.POSTFACH_ID)
				.setNachrichtenListUrl(InfoManagerRequestTestFactory.NACHRICHTEN_MANAGER_URL);
	}
}
