package de.ozgcloud.nachrichten.common.vorgang;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

public class VorgangTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final String NAME = LoremIpsum.getInstance().getWords(5);
	public static final String NUMMER = LoremIpsum.getInstance().getWords(3);

	public static Vorgang create() {
		return createBuilder().build();
	}

	public static Vorgang.VorgangBuilder createBuilder() {
		return Vorgang.builder()
				.id(ID)
				.name(NAME)
				.nummer(NUMMER)
				.trustLevel(GrpcServiceKontoTestFactory.TRUST_LEVEL)
				.postfachId(GrpcPostfachAddressTestFactory.STRING_BASED_IDENTIFIER_POSTFACH_ID_VALUE);
	}
}
