package de.ozgcloud.nachrichten.info;

import de.ozgcloud.nachrichten.postfach.PostfachAddressTestFactory;
import de.ozgcloud.nachrichten.postfach.PostfachNachrichtTestFactory;

public class InfoManagerRequestTestFactory {

	public static final String NACHRICHTEN_MANAGER_URL = "nachrichten-manager";

	public static InfoManagerRequest create() {
		return createBuilder().build();
	}

	private static InfoManagerRequest.InfoManagerRequestBuilder createBuilder() {
		return InfoManagerRequest.builder()
				.nachrichtId(PostfachNachrichtTestFactory.ID)
				.vorgangId(PostfachNachrichtTestFactory.VORGANG_ID)
				.postfachId(PostfachAddressTestFactory.POSTFACH_ID)
				.nachrichtenManagerUrl(NACHRICHTEN_MANAGER_URL);
	}
}
