package de.ozgcloud.nachrichten.postfach;

import java.util.UUID;

public class PostfachAddressTestFactory {

	public final static int TYPE = 1;
	public static final String POSTFACH_ID = UUID.randomUUID().toString();
	public final static StringBasedIdentifier IDENTIFIER = StringBasedIdentifier.builder().postfachId(POSTFACH_ID)
			.build();
	public static final String VERSION = "1.0";

	public static PostfachAddress create() {
		return createBuilder().build();
	}

	public static PostfachAddress.PostfachAddressBuilder createBuilder() {
		return PostfachAddress.builder()
				.type(TYPE)
				.identifier(IDENTIFIER)
				.version(VERSION)
				.serviceKontoType(PostfachTestFactory.POSTFACH_TYPE);
	}
}